-- Copyright (c) 2013 Cloudera, Inc. All rights reserved.
--
-- Adds the impala audit table to navigator schema.
--
alter table GOV_SCHEMA_VERSION rename to AUDIT_SCHEMA_VERSION;

create sequence IMPALA_AUDIT_EVENTS_SEQUENCE;

create table IMPALA_AUDIT_EVENTS (
  ID                       bigint not null default nextval('IMPALA_AUDIT_EVENTS_SEQUENCE'),
  EVENT_TIME               bigint not null,
  ALLOWED                  integer not null,
  SERVICE_NAME             varchar(255) not null,
  USERNAME                 varchar(255) not null,
  IMPERSONATOR             varchar(255),
  IP_ADDR                  varchar(255) not null,
  OPERATION                varchar(255) not null,
  QUERY_ID                 varchar(255) not null,
  SESSION_ID               varchar(255) not null,
  STATUS                   varchar(1024),
  DATABASE_NAME            varchar(1024),
  OBJECT_TYPE              varchar(255),
  TABLE_NAME               varchar(1024),
  PRIVILEGE                varchar(255),
  OPERATION_TEXT           varchar(4000) not null,
  primary key (ID)
);

create index IDX_IMPALA_EVENT_TIME on IMPALA_AUDIT_EVENTS (EVENT_TIME);

--  Increase size of OPERATION_TEXT in Hive tables
com.cloudera.navigator.schema.AlterHiveOperationTextColumnSize
